Bug 1225689 - [Project Version View] Failed to load entries when the doc id contains characters that should be URL encoded
[Project Version View] Failed to load entries when the doc id contains charac...
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-Logic (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity high
: ---
: 3.7
Assigned To: Alex Eng
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-27 21:35 EDT by Ding-Yi Chen
Modified: 2015-07-21 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3651)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-21 22:19:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot that demostrate the bug (231.34 KB, image/png)
2015-05-27 21:38 EDT, Ding-Yi Chen
no flags Details

  None (edit)
Description Ding-Yi Chen 2015-05-27 21:35:54 EDT
Description of problem:
When doc id contains special characters that needs to be url encoded, zanata failed to load the page link in editor will break.


Version-Release number of selected component (if applicable):
3.6.2

How reproducible:
Always

Steps to Reproduce:
1. Go to https://translate.zanata.org/zanata/iteration/view/ZAT1/ZAT_1.0
2. Click any language, any document

Actual results:
No document selected is shown as document name, and content failed to be loaded.

Expected results:
Content should be loaded successfully.
Comment 1 Ding-Yi Chen 2015-05-27 21:38:08 EDT
Created attachment 1030898 [details]
Screenshot that demostrate the bug

Screenshot that demostrate the bug attached
Comment 2 Ding-Yi Chen 2015-05-27 22:08:23 EDT
VERIFIED with Zanata 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3634)
Comment 3 Ding-Yi Chen 2015-05-27 22:11:10 EDT
Sorry, wrong bug.
Comment 4 Alex Eng 2015-05-28 00:54:38 EDT
Pull request:
https://github.com/zanata/zanata-server/pull/831
Comment 5 Ding-Yi Chen 2015-05-28 03:57:41 EDT
VERIFIED with Zanata 3.7.0-SNAPSHOT (git-jenkins-zanata-server-github-pull-requests-3651)

Note You need to log in before you can comment on or make changes to this bug.